## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hyprcursor
Version:        0.1.11
Release:        %autorelease
Summary:        The hyprland cursor format, library and utilities. 

License:        BSD-3-Clause
URL:            https://github.com/hyprwm/hyprcursor
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(hyprlang)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(tomlplusplus)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

#Don't test because libhyprcursor assumes working cursor themes to be installed.

%files
%license LICENSE
%doc README.md
%{_libdir}/libhyprcursor.so.0
%{_libdir}/libhyprcursor.so.%{version}
%{_bindir}/hyprcursor-util

%files devel
%{_includedir}/hyprcursor/hyprcursor.h
%{_includedir}/hyprcursor/hyprcursor.hpp
%{_includedir}/hyprcursor.hpp
%{_includedir}/hyprcursor/shared.h
%{_libdir}/libhyprcursor.so
%{_libdir}/pkgconfig/hyprcursor.pc

%changelog
## START: Generated by rpmautospec
* Sat Jan 25 2025 John Doe <packager@example.com> - 0.1.11-1
- Uncommitted changes
## END: Generated by rpmautospec
